@subheading gsasl_register
@anchor{gsasl_register}
@deftypefun {int} {gsasl_register} (Gsasl * @var{ctx}, const Gsasl_mechanism * @var{mech})
@var{ctx}: pointer to libgsasl handle.

@var{mech}: plugin structure with information about plugin.

This function initialize given mechanism, and if successful, add it
to the list of plugins that is used by the library.

@strong{Return value:} @code{GSASL_OK} iff successful, otherwise @code{GSASL_MALLOC_ERROR}.

@strong{Since:} 0.2.0
@end deftypefun

